# Uses of Interface
java.lang.classfile.constantpool.ConstantValueEntry

Packages that use ConstantValueEntry
Package
Description
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.
java.lang.classfile.constantpool
Provides interfaces describing constant pool entries for the `java.lang.classfile` library.

## Uses of ConstantValueEntry in java.lang.classfile.attribute

Methods in java.lang.classfile.attribute that return ConstantValueEntry
Modifier and Type
Method
Description
`ConstantValueEntry`
ConstantValueAttribute.`constant()`
Returns the constant value of the field.
Methods in java.lang.classfile.attribute with parameters of type ConstantValueEntry
Modifier and Type
Method
Description
`static ConstantValueAttribute`
ConstantValueAttribute.`of(ConstantValueEntry value)`
Returns a `ConstantValue` attribute.

## Uses of ConstantValueEntry in java.lang.classfile.constantpool

Subinterfaces of ConstantValueEntry in java.lang.classfile.constantpool
Modifier and Type
Interface
Description
`interface`
`DoubleEntry`
Models a `CONSTANT_Double_info` structure, representing a `double` constant, in the constant pool of a `class` file.
`interface`
`FloatEntry`
Models a `CONSTANT_Float_info` structure, or a `float` constant, in the constant pool of a `class` file.
`interface`
`IntegerEntry`
Models a `CONSTANT_Integer_info` structure, or an `int` constant, in the constant pool of a `class` file.
`interface`
`LongEntry`
Models a `CONSTANT_Long_info` structure, or a `long` constant, in the constant pool of a `class` file.
`interface`
`StringEntry`
Models a `CONSTANT_String_info` structure, or a string constant, in the constant pool of a `class` file.
Methods in java.lang.classfile.constantpool that return ConstantValueEntry
Modifier and Type
Method
Description
`default ConstantValueEntry`
ConstantPoolBuilder.`constantValueEntry(ConstantDesc c)`
Returns a `ConstantValueEntry` describing the provided constant `Integer`, `Long`, `Float`, `Double`, or `String` value.